FMPA application layer issues linking to DSDPlus

Status
Not open for further replies.

mw0cqu

Member
Joined
Dec 16, 2010
Messages
23
Hi all,

As can be seen in the attachment, I have a tcp issue between FMPA and DSDPlus.
Its not a port / IP mismatch because the socket connection establishes.
its the inter process communication that fails

This is with the current fast lane release and a vanilla install by:

reinstalling "free" into a new folder (so I don't have an issue working with my parallel FMP24 / RTL-SDR session)
applying my latest fast lane update in the new folder
copying airspy.dll from SDR# to the DSDPlus folder (as it complained that my airspy dll in "free" is "too old" -
that needs patching on the download site to prevent newcomers hitting the issue)

I have been into DSDplus and set the ip / port - if I hadn't it wouldn't have connected.

its clearly at OSI layers 5-7 that the issue occurs

Any clues? of just forget it till the next fast lane release and try again?

73

'CQU
 

Attachments

Forts

Mentor
Database Admin
Joined
Dec 19, 2002
Messages
6,025
Location
Ontario, Canada
The fact that it says incompatible DSD+/FMPx versions speaks volumes to me. What version of FMP24 and DSD+ are you attempting to run together?
 

mtindor

OH/WV DB Admin
Database Admin
Joined
Dec 5, 2006
Messages
8,669
Location
Carroll Co OH / EN90LN
Yeah you need the FMP* files from v2.246 -- but you don't want to overwrite your current version of dsdplus.exe with the version from v2.246. Probably ought to email dsdplusfastlane@gmail.com. there is an easier way, but I'm tired of typing it out and I don't think the author appreciates my attempts at saving him some trouble by typing out the instructions anyway.

If I can find where i typed them out before, I'll provide the link.

Mike
 

mtindor

OH/WV DB Admin
Database Admin
Joined
Dec 5, 2006
Messages
8,669
Location
Carroll Co OH / EN90LN

Look at the link sent to you in December's email for the v2.228 release. And then follow the directions in the link above. Not all versions will be available on the server for you to download. Download what you can, and if one of them is v 2.246 then that should fix your issue. Just don't overwrite your dsdplus.exe file from the latest version that you already have installed.

Mike
 
Status
Not open for further replies.
Top